Subject: Re: [pcp] PCP Authentication *Technique* Requirements

From: "Prashanth Patil (praspati)" <[email-masked]>
Date: Mon, 15 Jul 2013 17:49:36 +0000

Hi Ben,

On 15/06/13 12:18 AM, "Ben McCann" <[email-masked]<mailto:[email-masked]>> wrote:

draft-reddy-pcp-auth-03 defines about 14 requirements for the PCP authentication protocol. These requirements don't include any discussion about the cryptographic strength or user identity model of the authentication techniques(s) used within PCP authentication.

PRA: REQ-5 highlights basic requirements

   REQ-5:  It is important that PCP not leak privacy information between

      the PCP client and PCP server,

      A.  The authentication mechanism MUST be able to keep credentials

          hidden from eavesdroppers on path between the client and

          server.

      B.  Confidentiality of the PCP messages is OPTIONAL for PCP

          request and response of opcodes MAP, PEER, ANNOUNCE and

          options THIRD_PARTY, PREFER_FAILURE and FILTER as explained in

          [RFC6887<http://tools.ietf.org/html/rfc6887>].  Other PCP drafts MUST evaluate if confidentiality

          is OPTIONAL for new PCP opcodes and options introduced.

      C.  PCP authentication SHOULD be immune to passive dictionary

          attacks.

      D.  PCP Authentication MUST ensure that an attacker snooping PCP

          messages cannot guess the SA.

Not sure if cryptographic strength and identity model be detailed, maybe a requirement that the authentication framework support multiple cryptographic methods? It is then up to the parties to choose one based on their configs/requirements.
Same about the identity model I suppose.

The current requirements are too vague on this point because, I think, there's an assumption in the WG that PCP authentication will be based on EAP. I agree. I don't think the PCP WG should invent authentication techniques.

So, I suggest we change the following recommendation:

   REQ-11:  It is RECOMMENDED to choose a widely deployed authentication
      technique with known security properties rather than inventing a
      new authentication mechanism.

to a requirement:

   REQ-11:  A widely deployed authentication technique with known security
      properties MUST be selected as the authentication mechanism within PCP.

PRA: Sure, a widely deployed auth technique eg EAP.

I'd also add another recommendation:

   REQ-11-A:  It is RECOMMENDED to choose an extensible authentication
      technique to ensure PCP authentication can adapt to future authentication
      methods.

PRA: Will do.

-Prashanth

This may be obvious to WG members who've followed the authentication discussion to date but it's not clear by looking at the PCP authentications requirements draft. The draft leaves open the possibility of inventing a new authentication technique and I think that would be a distraction and a waste of time.

-Ben McCann